Render Email
POST /api/v1/workspaces/{workspace_id}/emails/{email_id}/locales/{locale}/render
POST
/api/v1/workspaces/{workspace_id}/emails/{email_id}/locales/{locale}/render
Renders an email for a specific locale, producing the final HTML, subject, and preheader.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” workspace_id
required
integer
Workspace ID
email_id
required
integer
Email ID
locale
required
string
Locale code
Responses
Section titled “ Responses ”Successful
object
html
required
The rendered HTML of the email
string
Example
<html><body><h1>Hello, world!</h1></body></html> subject
required
The rendered subject line of the email
string
Example
Hello, world! preheader
required
The rendered preheader text of the email
string
Example
Hello, world!Unauthorized
object
message
required
string
Example
Record not foundNot Found
object
message
required
string
Example
Record not foundValidation Error
object
message
required
string
Example
Validation failed errors
required
object
key
additional properties
any